package cc.fascinated.wildaddons;

import cc.fascinated.wildaddons.utils.Config;
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import lombok.Getter;
import net.fabricmc.api.ModInitializer;
import net.minecraft.client.MinecraftClient;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import java.io.File;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

public class Main implements ModInitializer {

    public static final Logger LOGGER = LogManager.getLogger("WildAddons");
    @Getter private static final ExecutorService executorService = Executors.newCachedThreadPool();
    @Getter private static final MinecraftClient minecraftClient = MinecraftClient.getInstance();
    @Getter private static final Gson gson = new GsonBuilder().create();

    @Getter private static final Config statisticsConfig;
    static {
        String dirName = minecraftClient.runDirectory.getAbsolutePath() + File.separator + "wildaddons";
        statisticsConfig = new Config(dirName, "statistics.json");
    }

    /**
     * Runs the mod initializer.
     */
    @Override
    public void onInitialize() {
        LOGGER.info("Initialized");
    }
}
