package cc.fascinated.wildaddons.client;

import cc.fascinated.wildaddons.Main;
import cc.fascinated.wildaddons.addon.AddonManager;
import cc.fascinated.wildaddons.event.EventManager;
import cc.fascinated.wildaddons.listener.ActivePotionsListener;
import cc.fascinated.wildaddons.listener.ArmorListener;
import cc.fascinated.wildaddons.listener.PlayerListener;
import cc.fascinated.wildaddons.listener.ResearchTasksListener;
import cc.fascinated.wildaddons.statistic.Statistic;
import cc.fascinated.wildaddons.tpsmonitor.TpsMonitor;
import net.fabricmc.api.ClientModInitializer;

public class WildAddonsClient implements ClientModInitializer {

    /**
     * Runs the mod initializer on the client environment.
     */
    @Override
    public void onInitializeClient() {
        new AddonManager();

        Statistic.loadStatistics(Main.getStatisticsConfig().getNode());
        Statistic.initSaver();

        EventManager.registerListener(new PlayerListener());
        EventManager.registerListener(new TpsMonitor());
        EventManager.registerListener(new ArmorListener());
        EventManager.registerListener(new ResearchTasksListener());
        EventManager.registerListener(new ActivePotionsListener());
    }
}
