package cc.fascinated.wildaddons.listener;

import cc.fascinated.wildaddons.event.EventListener;
import cc.fascinated.wildaddons.utils.TextUtils;
import lombok.Getter;
import net.minecraft.text.Text;

import java.util.LinkedHashSet;
import java.util.Set;

public class ActivePotionsListener implements EventListener {

    @Getter private static final Set<String> activePotions = new LinkedHashSet<>();

    @Override
    public void onTabListUpdate(Text header, Text footer) {
        String footerString = footer.getString();
        String[] lines = footerString.split("\n");

        activePotions.clear();
        boolean found = false;
        for (String part : lines) {
            String partStripped = TextUtils.stripColors(part);
            if (partStripped.contains("POTION BUFFS")) {
                found = true;
                continue;
            }
            if (!found) {
                continue;
            }
            if (partStripped.isEmpty()) { // Don't overflow into other data
                break;
            }
            activePotions.add(TextUtils.removeColorCode(part, "§o"));
        }
    }
}
