package cc.fascinated.wildaddons.mixin;

import cc.fascinated.wildaddons.event.EventListener;
import cc.fascinated.wildaddons.event.EventManager;
import net.minecraft.client.gui.hud.PlayerListHud;
import net.minecraft.text.Text;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;


@Mixin(PlayerListHud.class)
public class PlayerListGuiMixin {

    private Text header;
    private Text footer;

    @Inject(method = "setHeader", at = @At(value = "HEAD"))
    public void setHeader(Text header, CallbackInfo ci) {
        this.header = header;

        update();
    }

    @Inject(method = "setFooter", at = @At(value = "HEAD"))
    public void setFooter(Text footer, CallbackInfo ci) {
        this.footer = footer;

        update();
    }

    /**
     * Send out to listeners that the tab-list has changed.
     */
    private void update() {
        if (header == null || footer == null) {
            return;
        }
        for (EventListener listener : EventManager.getListeners()) {
            listener.onTabListUpdate(header, footer);
        }
    }
}
